Subject: Re: bug#20934: 24.5; Mouse pointer shape not updated over text when track-mouse enabled
From: Eli Zaretskii <[email-masked]>
To: Paul C <[email-masked]>
Cc: [email-masked]
Date: Tue, 30 Jun 2015 19:02:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Paul C <[email-masked]>
> Date: Tue, 30 Jun 2015 02:00:06 +0000
> 
> The mouse pointer shape does not change from an arrow to a bar when
> hovering over text when in C++ or C major modes and gud-tooltips minor mode.
> Only this combination of modes seems cause the problem. The mouse
> shape is updated in other major modes, ie fundamental etc.
> 
> To repeat:
> 
> emacs -Q
> M-x c++-mode
> M-x gud-tooltip-mode
> 
> Move the mouse over the default scratch pad text, and below the text and
> the mouse point will remain unchanged no matter the position in the
> window. By default, the mouse cursor will change to a bar over the text
> and an arrow when away from text.
> It seems to be related to the enabling the track-mouse variable to
> enable mouse events for gud-tooltip mode. This issue can also be repeated by
> setting track-mouse to t in any mode:
> 
> emacs -Q
> M-: (setq track-mouse t)

Yes, we were explicitly blocking changes in mouse pointer shape when
track-mouse was in effect, to avoid such changes while dragging the
mode line, the divider, the scroll bars, etc.  This was so since 2004.

Now fixed in the development sources by blocking the changes more
selectively.

Thanks.